Subject: Re: [Int-area] Draft Review Request - IPv4 Options Classes Registry

From: Mykyta Yevstifeyev <[email-masked]>
Date: Wed, 01 Dec 2010 11:27:28 +0200

Hello all,

See below...

30.11.2010 20:26, George, Wes E [NTK] wrote:
>> -----Original Message-----
>> From: Mykyta Yevstifeyev [mailto:[email-masked]]
>> Sent: Tuesday, November 30, 2010 10:37 AM
>> To: George, Wes E [NTK]
>> Cc: [email-masked]
>> Subject: Re: [Int-area] Draft Review Request - IPv4 Options Classes
>> Registry
>>> [WES] Ok, and why do we need this new option class? Your
>> justification in the above draft appears to be a semantic one - where
>> certain implementations use debugging and measurement while not
>> technically being either. What is the issue with this other than it
>> being semantically incorrect? Practical application, please.
>> Explanation of why this breaks things, please. For that matter, what
>> about the existing implementations that are apparently incorrect? Are
>> you expecting them to be updated to use the new option? I wouldn't...
>> I have a few ideas for the options to be assigned to 'Informational',
>> but there is no such class and there is no way to make even a draft
>> while having no class. There are no any practical examples of using
>> *not
>> existing* class. How can a specification of IPv4 option for *not
>> existing* class *exist*?
> [WES] Let me clarify what I mean. This is about answering the question, "what
> technical problem does having additional option classes solve?" So when I say
> practical application, I'm looking for an example of some application of IP
> Options in use today that could have been made better if this hypothetical
> class existed, and why it would have been better. Or, a hypothetical
> application that is broken by today's standard and would need your proposed
> draft to fix it. In other words, if you have ideas
Yes. I have - see below.
>   as to how this might be
> used, not simply the options to be assigned to your new class, you need to
> make that clear, or else this just looks like a draft for the sake of writing
> a draft.
>
> Thanks
> Wes George
As for using the Informational options class - I think some 'stamp' 
options should be assigned to this class,
e. g. Tunnel Stamp option etc. I think the can't be assigned to Debug & 
Meas..

Mykyta Yevstifeyev

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Wed, 01 Dec 2010 16:13:41 +0200

01.12.2010 16:04, George, Wes E [NTK] wrote:
>> Sent: Wednesday, December 01, 2010 4:27 AM
>> To: George, Wes E [NTK]
>> Cc: [email-masked]
>> e. g. Tunnel Stamp option etc. I think the can't be assigned to Debug&
>> Meas..
> [WES] ok, and what would those be used for? I think you're still missing my
> fundamental problem with this draft - you're not justifying why it's necessary
> as much as you are providing ideas as to categories and classes.
> I'll keep asking... what problem is this solving?
To my mind it is clear that the Informational class is used to provide 
the possibility to make some options which
are used to carry any kind of information directly at the 
transport-level protocol.

Mykyta Yevstifeyev